import {Accordion, AccordionSummary, withStyles} from "@material-ui/core";

export const StyledAccordion = withStyles({
    root: {
        '&$expanded': {
            margin: 0,
        },
    },
    expanded: {},
})(Accordion) as typeof Accordion;

export const StyledAccordionSummary = withStyles({
    root: {
        backgroundColor: 'rgba(0, 0, 0, .03)',
        borderBottom: '1px solid rgba(0, 0, 0, .125)',
        marginBottom: -1,
        minHeight: 56,
        '&$expanded': {
            minHeight: 56,
        },
    },
    content: {
        '&$expanded': {
            margin: '12px 0',
        },
    },
    expanded: {},
})(AccordionSummary) as typeof AccordionSummary;
